cascading.flow.planner.rule.expression

## Class PlannerLevelExpression

- java.lang.Object
- - cascading.flow.planner.rule.RuleExpression
  - - cascading.flow.planner.rule.expression.PlannerLevelExpression

    public class PlannerLevelExpression
    extends RuleExpression

### Field Summary

### Fields inherited from class cascading.flow.planner.rule.RuleExpression

`contractedMatchExpression, contractionExpression, matchExpression`

### Constructor Summary

Constructors
Constructor and Description
`PlannerLevelExpression(java.lang.Class<? extends PlannerLevel> plannerLevelClass)`

### Method Summary

### Methods inherited from class cascading.flow.planner.rule.RuleExpression

`getContractedMatchExpression, getContractionExpression, getExpressionName, getMatchExpression`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlannerLevelExpression

    public PlannerLevelExpression(java.lang.Class<? extends PlannerLevel> plannerLevelClass)